/* eslint-disable @typescript-eslint/no-explicit-any */
import { useRouteError } from "react-router-dom";

function ErrorBoundary() {
  const error: any = useRouteError();
  console.error(error);

  return (
    <div className="h-screen flex items-center justify-center p-8 text-white">
      <div className="flex items-center gap-4">
        <p className="font-gilroy text-2xl">{error.status}</p>
        <p>{error.statusText}</p>
      </div>
    </div>
  );
}

export default ErrorBoundary;
